Help Center - Configure your browser/system to work with PaperBackSwap

Search Terms:

For many members, this will not be necessary. You will only need to change your browser settings if you are having trouble with aspects of the site (most commonly with printing or posting/removing items from your Bookshelf), or if you have old (insecure) system software. Everyone needs to update, though! Keeping your computer system software and browser updated is your absolute best defense against malware/compromise of your personal information.

If you are using a Mac: you should be running at least OS 10.8 and Safari version 9 (preferably newer)

  • Check your System OS by clicking the apple on the top left of your screen and choosing About This Mac. If your system is 10.8 or earlier, you should definitely update! You can do that from the Apple site - it's free.

If you have a Windows computer, you should be running at least Windows 7 (or newer), and your browser should be at least: Internet Explorer version 11, Opera version 14, FireFox version 31, or Chrome version 30.

You can check if your browser is safe by going to this page.

Special notes if you are using Internet Explorer version 11.  You may need to adjust some settings in the browser (particularly the security protocols - if they have been set to use the old, dangerous protocol, you need to turn that off and turn on the new protocol! it's very easy - see below).

  • Adjust compatibility
    • Open Internet Explorer
    • Go to the upper right of the browser window and click the little gear.
    • Choose Compatibility/View Settings
    • On the next page, in the "Add this Website" field, make sure it says "paperbackswap.com" and then click the Add button.
    • Then click Close at the bottom right of that window.
  • Adjust Security Protocol Use:
    • Open Internet Explorer
    • Click the gear at the top right of the browser window
    • Choose Internet Options from the dropdown menu
    • Choose the Advanced tab on the far right
    • CHECK the boxes to use TLS 1.0 AND use TLS 1.1 AND use TLS 1.2
    • (UNCHECK the boxes "use SSL 2" and "use SSL 3")
    • Click Apply to save the changes
  • Add PaperBackSwap to your Trusted Sites in your Security Zone
    • Open Internet Explorer
    • Click the gear at the top right of the browser window
    • Choose Internet Options from the dropdown menu
    • Click the Security tab and choose Trusted Sites
    • Click Sites
    • Add www.paperbackswap.com (and www.swapaCD.com and www.swapaDVD.com, if you use those sites) to the list.
    • Click Apply to save that change
  • Adjust your Internet Security to Medium-High
    • Open Internet Explorer
    • Click the gear at the top right of the browser window
    • Choose Internet Options from the dropdown menu
    • Click the Security tab
    • Choose Internet (from among the different zones)
    • Use the slider under "Security Level for this zone" to adjust it to Medium-high.
    • Check the box next to "Enable Protected Mode"
    • Click Apply to save those settings (you will need to restart IE)

If you are seeing the message at the top of the site alerting you that javascript appears to be disabled in your browser, the instructions below will help you fix that problem. The site needs javascript to work properly.

If you are using Firefox (available at http://www.mozilla.com) you should not have any difficulties using the site.  If you do:

  • Check that your popup blocker is NOT enabled for PBS (you can adjust this in your Firefox preferences)
  • If you are running NoScript, make sure that you allow paperbackswap.com and allow yahooapis.com.  See NoScript and PaperBackSwap for more information.
  • Make sure that javascript is enabled (for PCs this checkbox is under Tools > Options > Content; for Macs this checkbox is found under Preferences > Content)

If you are using Internet Explorer

  • Check the version: if your browser is outdated, you will probably have trouble logging in, navigating parts of the site, and using buttons on the site.  You need to upgrade for security purposes, to protect your computer!  You can upgrade at http://www.microsoft.com/downloads/
  • If you are having trouble printing a wrapper or posting/removing books:
    • This could be because your browser is set not to run some scripts (for example, the scripts that check (1) for a pending request from the same requestor  (2) to be sure the requestor has not canceled the request before you print)
    • You should set your security settings (click the Gear icon at the top right of the browser then choose Internet Options) to Medium-High.
      • Microsoft recommends this as a general-purpose setting.
      • Having security set to "high" will disable javascript (and disable a lot of functions on our site)
    • If you prefer to keep your Internet Security settings set to High for general browsing
      • please add http://www.paperbackswap.com and our partners (SwapaCD and SwapaDVD) at http://yui.yahooapis.com to your Trusted Sites list (click the Gear icon at the top right of the browser then choose Internet Options)
      • Make sure that the security level for your Trusted Sites is no higher than Medium-High.

If you are using another browser

  • Check for updates and if an update is available. download and install it.
  • Disable your pop-up blocker for the PBS site (we don't have advertising popups)
  • Make sure your browser supports javascript and that it is set to enable javascript

If you are unable to see images on the site

  • You need to configure your browser/computer to allow access to the pbsstatic.com domain. This is the domain for the images (ie, book covers) displayed on the site.